org.faceless.pdf2.viewer2.feature

## Class PageFirst

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.feature.NavigationWidget
      - - org.faceless.pdf2.viewer2.feature.PageFirst

- All Implemented Interfaces:
    PropertyChangeListener, EventListener, DocumentPanelListener

      public class PageFirst
      extends NavigationWidget

  Create a button to jump to the first page. The name of this feature is PageFirst

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Field Summary

    - ### Fields inherited from class org.faceless.pdf2.viewer2.feature.NavigationWidget

      `docpanel, pdf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageFirst()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionListener` | `createActionListener()` Return an ActionListener that will be called when this Widget is activated.
    `protected void` | `pageChanged()`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.feature.NavigationWidget

      `documentUpdated, initialize, propertyChange`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `action, getComponent, getIcon, getViewer, isButtonEnabledByDefault, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PageFirst

          public PageFirst()

  - ### Method Detail

    - #### createActionListener

          public ActionListener createActionListener()

      Description copied from class: `ViewerWidget`
      Return an ActionListener that will be called when this Widget is activated. Subclasses will typically not need to override this method except in special cases.
      Overrides:
        `createActionListener` in class `ViewerWidget`
      Returns:
        ActionListener the ActionListener to be notified when an event fires
      See Also:
        `Quit.createActionListener()`

    - #### pageChanged

          protected void pageChanged()

      Specified by:
        `pageChanged` in class `NavigationWidget`

Copyright © 2001-2015 Big Faceless Organization